Custom Entity Management
========================

## What is Custom Entity Magento 2 Module?

This module allow possibility to create and manage custom enities like Brand, Pictogram, ... and  to display them in front  

## Who is developing this module ? 

![Smile](doc/static/smile.png)

This module is built by Smile. 

Smile is the **European leader of Open Source** and also a four-times **Europe Partner of the the Year** (2010-2014), two-times **Spirit of Excellence** (2015-2016), **Global Elite Partner** (2017-now), and **Regional Commercial Partner** (2018) awarded by Magento.

Our multidisciplinary team brings together experts in technology, innovation, and new applications.

Together we explore, invent, and test technologies of the future, to better serve our clients.

## Main Features

### Create Entity Attribute, Entity Type and Entity

* **Entity Attributes:**

This module allows you to **create entity attribute** like the product attributes.

![Entity attributes](./doc/static/entity_attribute_list.png)

* **Entity type:**

You can create as many entity types as you need

![Entity type](./doc/static/entity_type_list.png)

* **Entity:**

Create your entities:

![Entity add button](./doc/static/entity_list_new_button.png)

![Entity list](./doc/static/entity_list.png)

### Entity type and Entity on front

* **Display your entity set and your entities**

![Entity set](./doc/static/front_entity_set.png)

![Entity](./doc/static/front_entity.png)

## Documentation

Documentation is available [here](https://github.com/Smile-SA/magento2-module-custom-entity/wiki).

The User Guide is also available on PDF format [here](https://github.com/Smile-SA/magento2-module-custom-entity/wiki/static/UserGuide.pdf)

## Contributing

You can contribute to this module by submitting issues or pull requests.

For more details, please take a look at the [contribution guidelines](CONTRIBUTING.md).

## Changelog

All notable changes are recorded in this [changelog](CHANGELOG.md).

## Standards & Code Quality

Built on top of Magento2, our module respects all its prerequisites and code quality rules.

You can also find our PHPCS Standards and PHPMD rulesets in the module directory.

The module is also continuously tested on :

Tools                           | Results
------------------------------- |------------
Code Climate                    | [![Maintainability](https://api.codeclimate.com/v1/badges/83466d908944dbba1059/maintainability)](https://codeclimate.com/github/Smile-SA/magento2-module-custom-entity/maintainability)
Travis                          | [![Build Status](https://travis-ci.org/Smile-SA/magento2-module-custom-entity.svg?branch=master)](https://travis-ci.org/Smile-SA/magento2-module-custom-entity)
